library hgg_base;

export 'package:bot_toast/bot_toast.dart';
export 'package:flutter_screenutil/flutter_screenutil.dart';

/// 导出第三方库 - getx
export 'package:get/get_core/get_core.dart';
export 'package:get/get_instance/get_instance.dart';
export 'package:get/get_navigation/get_navigation.dart';
export 'package:get/get_rx/get_rx.dart';
export 'package:get/get_state_manager/get_state_manager.dart';
export 'package:get/get_utils/get_utils.dart'
    hide WidgetMarginX, WidgetPaddingX, WidgetSliverBoxX;

export 'src/extensions/double_extensions.dart';
export 'src/extensions/map_extensions.dart';
export 'src/extensions/string_extensions.dart';

/// extensions 相关
export 'src/extensions/widget_extensions.dart';

/// http 相关
export 'src/http/api_interceptor.dart';
export 'src/http/resp_data.dart';

/// init 相关
export 'src/init/x_hgg_init.dart';
export 'src/model/x_base_bean.dart';

/// model 相关
export 'src/model/x_base_model.dart';

/// pages 相关
export 'src/pages/blank_page.dart';

/// utils 相关
export 'src/utils/x_date_util.dart';
export 'src/utils/x_log.dart';
export 'src/utils/x_mock_image.dart';
export 'src/utils/x_msg.dart';
export 'src/utils/x_size.dart';
export 'src/utils/x_sp.dart';
export 'src/utils/x_util.dart';

/// widgets 相关
export 'src/widgets/x_get_bind.dart';
export 'src/widgets/x_getview.dart';
export 'src/widgets/x_image.dart';
export 'src/widgets/x_states_layout.dart';
