import 'package:flutter/material.dart';

class BlankPage extends StatefulWidget {
  final String title;
  final GestureTapCallback? onTap;
  final Color? color;

  BlankPage(this.title, {this.onTap, this.color});

  @override
  BlankPageState createState() => BlankPageState();
}

class BlankPageState extends State<BlankPage> {
  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.center,
      color: widget.color ?? Colors.lightBlue,
      child: InkWell(
        onTap: widget.onTap,
        child: Text(
          widget.title,
          style: TextStyle(
            color: Colors.white,
          ),
        ),
      ),
    );
  }
}
