extension ExString on String {
  /// 逗号分隔的图片转 StringList
  List<String> xSplit([Pattern? pattern]) {
    if (this.isEmpty) return [];
    return this.split(pattern ?? ',');
  }

  /// 显示隐藏中间四位的手机号
  String showPhone() {
    if (this.length == 11) {
      return this.substring(0, 3) + '****' + this.substring(7);
    } else {
      return this;
    }
  }
}
